Subject: bug#24871: closed (bug#24871: incorrect "cannot install XXX to a directory not ending in YYY")

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Oct 2024 13:34:02 +0000

Your bug report

#24871: incorrect "cannot install XXX to a directory not ending in YYY"

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24871: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24871
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#24871: incorrect "cannot install XXX to a directory not ending in YYY"
From: Ileana Dumitrescu <[email-masked]>
To: [email-masked]
Cc: Luke Shumaker <[email-masked]>
Date: Fri, 25 Oct 2024 16:31:42 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Thank you for submitting a bug report! A patch has been applied to the
development branch fixing this:

https://git.savannah.gnu.org/cgit/libtool.git/commit/?h=development&id=b3839cb99be0f8231f836f55f62be765a9aefde3

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354

Subject: incorrect "cannot install XXX to a directory not ending in YYY"
From: Luke Shumaker <[email-masked]>
To: [email-masked]
Date: Thu, 03 Nov 2016 20:47:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I believe I've found a bug in libtool:

	$ libtool --tag=CC --mode=install install -D libfail.la /tmp/lib/libfail.la
	libtool:   error: error: cannot install 'libfail.la' to a directory not ending in /tmp/lib/

When the install directory clearly does end in the required string.

I belive that this is a duplicate of a previous message that was never resolved:
  http://lists.gnu.org/archive/html/bug-libtool/2009-12/msg00001.html

But, unlike the previous message, I have a minimal test case!

	# build the first library
	echo > pass.c
	libtool --tag=CC --mode=compile cc -c -o pass.lo pass.c
	libtool --tag=CC --mode=link    cc -o libpass.la -rpath /tmp/lib/ pass.lo
	
	# build a second library (that will fail to install)
	echo > fail.c
	libtool --tag=CC --mode=compile cc -c -o fail.lo fail.c
	libtool --tag=CC --mode=link    cc -o libfail.la -rpath /tmp/lib/ fail.lo libpass.la
	
	# try to install them
	libtool --tag=CC --mode=install install -D libpass.la /tmp/lib/libpass.la
	libtool --tag=CC --mode=install install -D libfail.la /tmp/lib/libfail.la

libpass will install fine, but libfail will fail to install, with the
error message I posted at the top.

I am using libtool 2.4.5 on an x86_64 GNU/Linux box (Parabola
GNU/Linux-libre; similar to Arch Linux):

	$ pacman -Q libtool
	libtool 2.4.6-6

	$ libtool --version
	libtool (GNU libtool) 2.4.6
	Written by Gordon Matzigkeit, 1996
	
	Copyright (C) 2014 Free Software Foundation, Inc.
	This is free software; see the source for copying conditions.  There is NO
	warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

The error occurs both with the system `libtool`, and
`./configure`-generated libtool.

I have not tried using libtool build from git.

-- 
Happy hacking,
~ Luke Shumaker